uuid: 35a239c7-e051-4dcc-80d4-c9e7863f2ec1
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_view_modes
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Configuration
migration_group: migrate_drupal_7
label: 'View modes'
source:
  plugin: d7_view_mode
process:
  mode:
    -
      plugin: static_map
      source: view_mode
      bypass: true
      map:
        default: full
  label:
    -
      plugin: static_map
      source: view_mode
      bypass: true
      map:
        search_index: 'Search index'
        search_result: 'Search result'
        rss: RSS
        print: Print
        teaser: Teaser
        full: Full
        default: Full
  targetEntityType:
    0:
      plugin: get
      source: entity_type
    paragraphs:
      plugin: static_map
      map:
        field_collection_item: paragraph
        paragraphs_item: paragraph
      bypass: true
destination:
  plugin: 'entity:entity_view_mode'
migration_dependencies:
  required: {  }
  optional: {  }
